Index: LMDZ6/branches/Amaury_dev/libf/phylmd/dyn1d/old_1D_read_forc_cases.h
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/phylmd/dyn1d/old_1D_read_forc_cases.h	(revision 5159)
+++ LMDZ6/branches/Amaury_dev/libf/phylmd/dyn1d/old_1D_read_forc_cases.h	(revision 5160)
@@ -62,5 +62,5 @@
           teta(l) = ttt*(pzero/play(l))**rkappa
        endif
-          print *,' temp,teta ',l,temp(l),teta(l)
+          PRINT *,' temp,teta ',l,temp(l),teta(l)
         q(l,1)  = qtprof(kmax)-frac*( qtprof(kmax)- qtprof(kmax-1))
         u(l)    =  uprof(kmax)-frac*(  uprof(kmax)-  uprof(kmax-1))
@@ -75,5 +75,5 @@
         dt_cooling(l)=thlpcar(kmax)-frac*(thlpcar(kmax)-thlpcar(kmax-1))
         DO k=2,kmax
-          print *,'k l height(k) height(k-1) zlay(l) frac=',k,l,height(k),height(k-1),zlay(l),frac
+          PRINT *,'k l height(k) height(k-1) zlay(l) frac=',k,l,height(k),height(k-1),zlay(l),frac
           frac = (height(k)-zlay(l))/(height(k)-height(k-1))
           IF(l==1) PRINT*,'k, height, tttprof',k,height(k),tttprof(k)
@@ -87,5 +87,5 @@
           teta(l) = ttt*(pzero/play(l))**rkappa
        endif
-          print *,' temp,teta ',l,temp(l),teta(l)
+          PRINT *,' temp,teta ',l,temp(l),teta(l)
             q(l,1)  = qtprof(k)-frac*( qtprof(k)- qtprof(k-1))
             u(l)    =  uprof(k)-frac*(  uprof(k)-  uprof(k-1))
@@ -151,5 +151,5 @@
      &               imp_fcg_gcssold,ts_fcg_gcssold,                        &
      &               Tp_fcg_gcssold,Turb_fcg_gcssold)
-       print *,' get_uvd2 -> hqturb_gcssold ',hqturb_gcssold
+       PRINT *,' get_uvd2 -> hqturb_gcssold ',hqturb_gcssold
       endif ! forcing_GCSSold
 !!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!
@@ -166,5 +166,5 @@
 
        mxcalc=llm
-       print *, airefi, ' airefi '
+       PRINT *, airefi, ' airefi '
        DO l = 1, llm
        rho(l)  = play(l)/(rd*t_rico(l)*(1.+(rv/rd-1.)*q_rico(l)))
@@ -328,5 +328,5 @@
        q(l,1) = q_mod(l)
        q(l,2) = 0.0
-!      print *,'read_forc: l,temp,q=',l,temp(l),q(l,1)
+!      PRINT *,'read_forc: l,temp,q=',l,temp(l),q(l,1)
        u(l) = u_mod(l)
        v(l) = v_mod(l)
@@ -426,5 +426,5 @@
        q(l,1) = qv_mod(l)
        q(l,2) = 0.0
-!      print *,'read_forc: l,temp,q=',l,temp(l),q(l,1)
+!      PRINT *,'read_forc: l,temp,q=',l,temp(l),q(l,1)
        u(l) = u_mod(l)
        v(l) = v_mod(l)
@@ -458,5 +458,5 @@
       ust=ustar_dice(1)
       tg=tg_dice(1)
-      print *,'ust= ',ust
+      PRINT *,'ust= ',ust
       IF (tsurf .LE. 0.) THEN
        tsurf= tg_dice(1)
@@ -533,5 +533,5 @@
        q(l,1) = qv_mod(l)
        q(l,2) = 0.0
-!      print *,'read_forc: l,temp,q=',l,temp(l),q(l,1)
+!      PRINT *,'read_forc: l,temp,q=',l,temp(l),q(l,1)
        u(l) = u_mod(l)
        v(l) = v_mod(l)
@@ -541,5 +541,5 @@
 !    tg=tsurf
 
-       print *,'***** tsurf=',tsurf
+       PRINT *,'***** tsurf=',tsurf
        rho(l)  = play(l)/(rd*temp(l)*(1.+(rv/rd-1.)*q(l,1)))
 !      omega(l) = w_mod(l)*(-rg*rho(l))
@@ -567,5 +567,5 @@
 !     ust=ustar_dice(1)
 !     tg=tg_dice(1)
-!     print *,'ust= ',ust
+!     PRINT *,'ust= ',ust
 !     IF (tsurf .LE. 0.) THEN
 !      tsurf= tg_dice(1)
@@ -613,13 +613,13 @@
       WRITE(*,*) 'AVT 1ere INTERPOLATION: day,day1 = ',day,day1
 
-      print *,'Avant interp_armcu_time'
-      print *,'daytime=',daytime
-      print *,'day1=',day1
-      print *,'annee_ref=',annee_ref
-      print *,'year_ini_armcu=',year_ini_armcu
-      print *,'day_ju_ini_armcu=',day_ju_ini_armcu
-      print *,'nt_armcu=',nt_armcu
-      print *,'dt_armcu=',dt_armcu
-      print *,'nlev_armcu=',nlev_armcu
+      PRINT *,'Avant interp_armcu_time'
+      PRINT *,'daytime=',daytime
+      PRINT *,'day1=',day1
+      PRINT *,'annee_ref=',annee_ref
+      PRINT *,'year_ini_armcu=',year_ini_armcu
+      PRINT *,'day_ju_ini_armcu=',day_ju_ini_armcu
+      PRINT *,'nt_armcu=',nt_armcu
+      PRINT *,'dt_armcu=',dt_armcu
+      PRINT *,'nlev_armcu=',nlev_armcu
       CALL interp_armcu_time(daytime,day1,annee_ref                         &
      &            ,year_ini_armcu,day_ju_ini_armcu,nt_armcu,dt_armcu        &
@@ -672,5 +672,5 @@
       DO l = 1, llm
       plev(l+1) = ap(llm-l+1)+bp(llm-l+1)*psurf
-      print *,'Read_forc: l height play plev zlay temp',                    &
+      PRINT *,'Read_forc: l height play plev zlay temp',                    &
      &   l,height(l),play(l),plev(l),zlay(l),temp(l)
       enddo
@@ -707,13 +707,13 @@
 ! revoir 1DUTILS.h et les arguments
 
-      print *,'Avant interp_sandu_time'
-      print *,'daytime=',daytime
-      print *,'day1=',day1
-      print *,'annee_ref=',annee_ref
-      print *,'year_ini_sandu=',year_ini_sandu
-      print *,'day_ju_ini_sandu=',day_ju_ini_sandu
-      print *,'nt_sandu=',nt_sandu
-      print *,'dt_sandu=',dt_sandu
-      print *,'nlev_sandu=',nlev_sandu
+      PRINT *,'Avant interp_sandu_time'
+      PRINT *,'daytime=',daytime
+      PRINT *,'day1=',day1
+      PRINT *,'annee_ref=',annee_ref
+      PRINT *,'year_ini_sandu=',year_ini_sandu
+      PRINT *,'day_ju_ini_sandu=',day_ju_ini_sandu
+      PRINT *,'nt_sandu=',nt_sandu
+      PRINT *,'dt_sandu=',dt_sandu
+      PRINT *,'nlev_sandu=',nlev_sandu
       CALL interp_sandu_time(daytime,day1,annee_ref                         &
      &             ,year_ini_sandu,day_ju_ini_sandu,nt_sandu,dt_sandu       &
@@ -722,5 +722,5 @@
 
 ! vertical interpolation:
-      print *,'Avant interp_vertical: nlev_sandu=',nlev_sandu
+      PRINT *,'Avant interp_vertical: nlev_sandu=',nlev_sandu
       CALL interp_sandu_vertical(play,nlev_sandu,plev_profs                 &
      &         ,t_profs,thl_profs,q_profs,u_profs,v_profs,w_profs           &
@@ -782,13 +782,13 @@
 ! revoir 1DUTILS.h et les arguments
 
-      print *,'Avant interp_astex_time'
-      print *,'daytime=',daytime
-      print *,'day1=',day1
-      print *,'annee_ref=',annee_ref
-      print *,'year_ini_astex=',year_ini_astex
-      print *,'day_ju_ini_astex=',day_ju_ini_astex
-      print *,'nt_astex=',nt_astex
-      print *,'dt_astex=',dt_astex
-      print *,'nlev_astex=',nlev_astex
+      PRINT *,'Avant interp_astex_time'
+      PRINT *,'daytime=',daytime
+      PRINT *,'day1=',day1
+      PRINT *,'annee_ref=',annee_ref
+      PRINT *,'year_ini_astex=',year_ini_astex
+      PRINT *,'day_ju_ini_astex=',day_ju_ini_astex
+      PRINT *,'nt_astex=',nt_astex
+      PRINT *,'dt_astex=',dt_astex
+      PRINT *,'nlev_astex=',nlev_astex
       CALL interp_astex_time(daytime,day1,annee_ref                         &
      &             ,year_ini_astex,day_ju_ini_astex,nt_astex,dt_astex       &
@@ -798,5 +798,5 @@
 
 ! vertical interpolation:
-      print *,'Avant interp_vertical: nlev_astex=',nlev_astex
+      PRINT *,'Avant interp_vertical: nlev_astex=',nlev_astex
       CALL interp_astex_vertical(play,nlev_astex,plev_profa                 &
      &         ,t_profa,thl_profa,qv_profa,ql_profa,qt_profa                &
@@ -900,5 +900,5 @@
        IF (ok_prescr_ust) THEN
        ust=ustar_prof_cas
-       print *,'ust=',ust
+       PRINT *,'ust=',ust
        ENDIF
 
@@ -935,5 +935,5 @@
 
       DO l = 1, nlev_cas
-      print *,'apres 1ere interp: plev_cas, plev_prof_cas=',l,plev_cas(l,1),plev_prof_cas(l)
+      PRINT *,'apres 1ere interp: plev_cas, plev_prof_cas=',l,plev_cas(l,1),plev_prof_cas(l)
       enddo
 
@@ -997,5 +997,5 @@
        IF (ok_prescr_ust) THEN
        ust=ustar_prof_cas
-       print *,'ust=',ust
+       PRINT *,'ust=',ust
        ENDIF
 
@@ -1033,5 +1033,5 @@
 
       DO l = 1, nlev_cas
-      print *,'apres 1ere interp: plev_cas, plev_prof_cas=',l,plev_cas(l,1),plev_prof_cas(l)
+      PRINT *,'apres 1ere interp: plev_cas, plev_prof_cas=',l,plev_cas(l,1),plev_prof_cas(l)
       enddo
 
@@ -1096,5 +1096,5 @@
        IF (ok_prescr_ust) THEN
        ust=ustar_prof_cas
-       print *,'ust=',ust
+       PRINT *,'ust=',ust
        ENDIF
 
Index: LMDZ6/branches/Amaury_dev/libf/phylmd/ecrad.v1.5.1/radiation_monochromatic.F90
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/phylmd/ecrad.v1.5.1/radiation_monochromatic.F90	(revision 5159)
+++ LMDZ6/branches/Amaury_dev/libf/phylmd/ecrad.v1.5.1/radiation_monochromatic.F90	(revision 5160)
@@ -293,5 +293,5 @@
              &  ', longwave optical depth = ', &
              &  sum(od_lw_cloud(1,:,jcol)*cloud%fraction(jcol,:))
-        !    print *, 'LWP = ', sum(lwp_kg_m2(:,istartcol)*cloud%fraction(istartcol,:))
+        !    PRINT *, 'LWP = ', sum(lwp_kg_m2(:,istartcol)*cloud%fraction(istartcol,:))
       end do
     end if
Index: LMDZ6/branches/Amaury_dev/libf/phylmd/ecrad/driver/test_aerosol_optics_description.F90
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/phylmd/ecrad/driver/test_aerosol_optics_description.F90	(revision 5159)
+++ LMDZ6/branches/Amaury_dev/libf/phylmd/ecrad/driver/test_aerosol_optics_description.F90	(revision 5160)
@@ -33,16 +33,16 @@
 
   ! These two should issue a warning that the aerosol type is ambiguous
-  print *, 'DD: ', aer_desc%get_index('DD',.false.)
-  print *, 'DD (bin=2): ', aer_desc%get_index('DD',.false.,ibin=2)
+  PRINT *, 'DD: ', aer_desc%get_index('DD',.false.)
+  PRINT *, 'DD (bin=2): ', aer_desc%get_index('DD',.false.,ibin=2)
   ! Indicate preferred aerosol optical model, after which further
   ! calls will prefer one particular model
-  print *, 'preferred_optical_model(DD,Fouquart)'
+  PRINT *, 'preferred_optical_model(DD,Fouquart)'
   call aer_desc%preferred_optical_model('DD','Fouquart')
-  print *, 'DD (bin=2): ', aer_desc%get_index('DD',.false.,ibin=2)
-  print *, 'DD (bin=2,model=Woodward): ', aer_desc%get_index('DD',.false.,ibin=2,optical_model_str="Woodward")
-  print *, 'DD (bin=2,model=Woodward2001): ', aer_desc%get_index('DD',.false.,ibin=2,optical_model_str="Woodward2001")
+  PRINT *, 'DD (bin=2): ', aer_desc%get_index('DD',.false.,ibin=2)
+  PRINT *, 'DD (bin=2,model=Woodward): ', aer_desc%get_index('DD',.false.,ibin=2,optical_model_str="Woodward")
+  PRINT *, 'DD (bin=2,model=Woodward2001): ', aer_desc%get_index('DD',.false.,ibin=2,optical_model_str="Woodward2001")
   ! This should fail to find a match, returning zero
-  print *, 'DD (model=Nobody): ', aer_desc%get_index('DD',.false.,optical_model_str="Nobody")
-  print *, 'SS (bin=3): ', aer_desc%get_index('SS',.true.,ibin=3)
+  PRINT *, 'DD (model=Nobody): ', aer_desc%get_index('DD',.false.,optical_model_str="Nobody")
+  PRINT *, 'SS (bin=3): ', aer_desc%get_index('SS',.true.,ibin=3)
 
 end program test_aerosol_optics_description
Index: LMDZ6/branches/Amaury_dev/libf/phylmd/ecrad/driver/test_fast_expm.F90
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/phylmd/ecrad/driver/test_fast_expm.F90	(revision 5159)
+++ LMDZ6/branches/Amaury_dev/libf/phylmd/ecrad/driver/test_fast_expm.F90	(revision 5160)
@@ -18,7 +18,7 @@
   call fast_expm_exchange_3(1,1,a(1:1),b(1:1),c(1:1),d(1:1),r)
 
-  print *, r
-  print *, 0.0000001
-  print *, epsilon(1.0_jprb)
+  PRINT *, r
+  PRINT *, 0.0000001
+  PRINT *, epsilon(1.0_jprb)
 
 end program test_fast_expm
Index: LMDZ6/branches/Amaury_dev/libf/phylmd/ecrad/driver/test_random_number_generator.F90
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/phylmd/ecrad/driver/test_random_number_generator.F90	(revision 5159)
+++ LMDZ6/branches/Amaury_dev/libf/phylmd/ecrad/driver/test_random_number_generator.F90	(revision 5160)
@@ -19,10 +19,10 @@
   integer :: jl
 
-  print *, 'working_fp_precision = ', jprb
+  PRINT *, 'working_fp_precision = ', jprb
 
   if (IRngType == IRngNative) then
-    print *, "rng_type = 'native'"
+    PRINT *, "rng_type = 'native'"
   else
-    print *, "rng_type = 'native'"
+    PRINT *, "rng_type = 'native'"
   end if
   
@@ -30,8 +30,8 @@
        &                                  nmaxstreams=streammax)
   DO jl = 1,1
-    print *, 'initial_state = [ ', int(random_number_generator%istate(1:streammax),jpib), ' ]'
+    PRINT *, 'initial_state = [ ', int(random_number_generator%istate(1:streammax),jpib), ' ]'
     call random_number_generator%uniform_distribution(vec)
-    print *, 'uniform_deviates = [ ', vec, ' ]'
-    print *, 'final_state = [ ', int(random_number_generator%istate(1:streammax),jpib), ' ]'
+    PRINT *, 'uniform_deviates = [ ', vec, ' ]'
+    PRINT *, 'final_state = [ ', int(random_number_generator%istate(1:streammax),jpib), ' ]'
   end do
 
Index: LMDZ6/branches/Amaury_dev/libf/phylmd/ecrad/lmdz/readaerosolstrato_ecrad.F90
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/phylmd/ecrad/lmdz/readaerosolstrato_ecrad.F90	(revision 5159)
+++ LMDZ6/branches/Amaury_dev/libf/phylmd/ecrad/lmdz/readaerosolstrato_ecrad.F90	(revision 5160)
@@ -124,5 +124,5 @@
 !--check mth_cur
         IF (mth_cur.LT.1.OR.mth_cur.GT.12) THEN
-          print *,'probleme avec le mois dans readaerosolstrat =', mth_cur
+          PRINT *,'probleme avec le mois dans readaerosolstrat =', mth_cur
         ENDIF
 
@@ -148,5 +148,5 @@
         IF (grid_type/=unstructured) THEN
            IF (n_lat.NE.nbp_lat) THEN 
-             print *, 'latitude=', n_lat, nbp_lat
+             PRINT *, 'latitude=', n_lat, nbp_lat
              abort_message='Le nombre de lat n est pas egal a nbp_lat'
              CALL abort_physic(modname,abort_message,1)
@@ -165,5 +165,5 @@
         CALL nf95_gw_var(ncid_in, varid, wav)
         n_wav = size(wav)
-        print *, 'WAV aerosol strato=', n_wav, wav
+        PRINT *, 'WAV aerosol strato=', n_wav, wav
 !        IF (n_wav.NE.config%n_bands_sw) THEN 
 !           abort_message='Le nombre de wav n est pas egal a config%n_bands_sw'
@@ -178,15 +178,15 @@
         CALL nf95_inq_varid(ncid_in, "TAU_SUN", varid)
         ncerr = nf90_get_var(ncid_in, varid, tauaerstrat)
-        print *,'code erreur readaerosolstrato=', ncerr, varid
+        PRINT *,'code erreur readaerosolstrato=', ncerr, varid
 
 !--reading stratospheric aerosol omega per layer
         CALL nf95_inq_varid(ncid_in, "OME_SUN", varid)
         ncerr = nf90_get_var(ncid_in, varid, pizaerstrat)
-        print *,'code erreur readaerosolstrato=', ncerr, varid
+        PRINT *,'code erreur readaerosolstrato=', ncerr, varid
 
 !--reading stratospheric aerosol g per layer
         CALL nf95_inq_varid(ncid_in, "GGG_SUN", varid)
         ncerr = nf90_get_var(ncid_in, varid, cgaerstrat)
-        print *,'code erreur readaerosolstrato sw=', ncerr, varid
+        PRINT *,'code erreur readaerosolstrato sw=', ncerr, varid
 
         CALL nf95_close(ncid_in)
@@ -256,5 +256,5 @@
         CALL nf95_gw_var(ncid_in, varid, wav)
         n_wav = size(wav)
-        print *, 'WAV aerosol strato=', n_wav, wav
+        PRINT *, 'WAV aerosol strato=', n_wav, wav
 !        IF (n_wav.NE.config%n_bands_lw) THEN 
 !           abort_message='Le nombre de wav n est pas egal a config%n_bands_lw'
@@ -271,5 +271,5 @@
         CALL nf95_inq_varid(ncid_in, "TAU_EAR", varid)
         ncerr = nf90_get_var(ncid_in, varid, taulwaerstrat)
-        print *,'code erreur readaerosolstrato lw=', ncerr, varid
+        PRINT *,'code erreur readaerosolstrato lw=', ncerr, varid
 
 ! add/mod ThL
@@ -278,10 +278,10 @@
         CALL nf95_inq_varid(ncid_in, "OME_EAR", varid)
         ncerr = nf90_get_var(ncid_in, varid, pizlwaerstrat)
-        print *,'code erreur readaerosolstrato lw=', ncerr, varid
+        PRINT *,'code erreur readaerosolstrato lw=', ncerr, varid
 
 !--reading stratospheric aerosol g per layer
         CALL nf95_inq_varid(ncid_in, "GGG_EAR", varid)
         ncerr = nf90_get_var(ncid_in, varid, cglwaerstrat)
-        print *,'code erreur readaerosolstrato lw=', ncerr, varid
+        PRINT *,'code erreur readaerosolstrato lw=', ncerr, varid
 
         CALL nf95_close(ncid_in)
Index: LMDZ6/branches/Amaury_dev/libf/phylmd/ecrad/radiation/radiation_monochromatic.F90
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/phylmd/ecrad/radiation/radiation_monochromatic.F90	(revision 5159)
+++ LMDZ6/branches/Amaury_dev/libf/phylmd/ecrad/radiation/radiation_monochromatic.F90	(revision 5160)
@@ -293,5 +293,5 @@
              &  ', longwave optical depth = ', &
              &  sum(od_lw_cloud(1,:,jcol)*cloud%fraction(jcol,:))
-        !    print *, 'LWP = ', sum(lwp_kg_m2(:,istartcol)*cloud%fraction(istartcol,:))
+        !    PRINT *, 'LWP = ', sum(lwp_kg_m2(:,istartcol)*cloud%fraction(istartcol,:))
       end do
     end if
Index: LMDZ6/branches/Amaury_dev/libf/phylmd/ice_sursat_mod.F90
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/phylmd/ice_sursat_mod.F90	(revision 5159)
+++ LMDZ6/branches/Amaury_dev/libf/phylmd/ice_sursat_mod.F90	(revision 5160)
@@ -201,5 +201,5 @@
       ENDDO
       zinta(nleva + 1) = zinta(nleva) + (zmida(nleva) - zmida(nleva - 1)) * 1000.0 !--extrapolation for last interface
-      !print *,'zinta=', zinta
+      !PRINT *,'zinta=', zinta
 
       CALL scatter(pkm_airpl_glo, pkm_airpl)
@@ -751,5 +751,5 @@
 
       Tcontr = 226.69 + 9.43 * log(Gcontr - 0.053) + 0.72 * (log(Gcontr - 0.053))**2 !--K
-      !print *,'Tcontr=',iter,i,k,eps_w,pplay,Gcontr,Tcontr(i,k)
+      !PRINT *,'Tcontr=',iter,i,k,eps_w,pplay,Gcontr,Tcontr(i,k)
       !--Psat with index 0 in FOEEW to get saturation wrt liquid water corresponding to Tcontr
       !qsatliqcontr = RESTT*FOEEW(Tcontr(i,k),0.)                               !--Pa
Index: LMDZ6/branches/Amaury_dev/libf/phylmd/init_be.F90
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/phylmd/init_be.F90	(revision 5159)
+++ LMDZ6/branches/Amaury_dev/libf/phylmd/init_be.F90	(revision 5160)
@@ -553,5 +553,5 @@
       ! 1/(60*1.295) = 0.01287
       srcbe(i, k) = srcbe(i, k) * 0.01287
-      !!       print *,'  k, srcbe(i,k) ',   &
+      !!       PRINT *,'  k, srcbe(i,k) ',   &
       !!                  k, srcbe(i,k)
       ! La source est  at/min/m3 -> at/s/m3
Index: LMDZ6/branches/Amaury_dev/libf/phylmd/inlandsis/sisvat_qso.f90
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/phylmd/inlandsis/sisvat_qso.f90	(revision 5159)
+++ LMDZ6/branches/Amaury_dev/libf/phylmd/inlandsis/sisvat_qso.f90	(revision 5160)
@@ -378,7 +378,7 @@
 
       IF(ikm<0.OR.ik0<0.OR.ikp<0)THEN
-       print *,"CRASH1 in sisvat_qso.f on pixel (i,j,n)", &
+       PRINT *,"CRASH1 in sisvat_qso.f on pixel (i,j,n)", &
              ii__SV(ikl),jj__SV(ikl),nn__SV(ikl)
-       print *,"decrease your time step or increase ntphys "// &
+       PRINT *,"decrease your time step or increase ntphys "// &
              "and ntdiff in time_steps.f"
        stop
@@ -424,7 +424,7 @@
 
       IF(ik0<0.OR.ikp<0)THEN
-       print *,"CRASH2 in sisvat_qso.f on pixel (i,j,n)", &
+       PRINT *,"CRASH2 in sisvat_qso.f on pixel (i,j,n)", &
              ii__SV(ikl),jj__SV(ikl),nn__SV(ikl)
-       print *,"decrease your time step or increase ntphys "// &
+       PRINT *,"decrease your time step or increase ntphys "// &
              "and ntdiff in time_steps.f"
        stop
Index: LMDZ6/branches/Amaury_dev/libf/phylmd/limit_slab.F90
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/phylmd/limit_slab.F90	(revision 5159)
+++ LMDZ6/branches/Amaury_dev/libf/phylmd/limit_slab.F90	(revision 5160)
@@ -107,5 +107,5 @@
             ENDIF
             IF (ierr /= nf90_noerr) THEN
-              print *,'WARNING : BILS_OCE not found for layer 2'
+              PRINT *,'WARNING : BILS_OCE not found for layer 2'
             ENDIF
           ENDDO
Index: LMDZ6/branches/Amaury_dev/libf/phylmd/lmdz_chem.f90
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/phylmd/lmdz_chem.f90	(revision 5160)
+++ LMDZ6/branches/Amaury_dev/libf/phylmd/lmdz_chem.f90	(revision 5160)
@@ -0,0 +1,18 @@
+MODULE lmdz_chem
+  IMPLICIT NONE; PRIVATE
+  PUBLIC idms, iso2, iso4, ih2s, idmso, imsa, ih2o2, &
+          n_avogadro, masse_s, masse_so4, rho_water, rho_ice
+
+  INTEGER idms, iso2, iso4, ih2s, idmso, imsa, ih2o2
+  PARAMETER (idms = 1, iso2 = 2, iso4 = 3)
+  PARAMETER (ih2s = 4, idmso = 5, imsa = 6, ih2o2 = 7)
+
+  REAL n_avogadro, masse_s, masse_so4, rho_water, rho_ice
+  PARAMETER (n_avogadro = 6.02E23)                  !--molec mol-1
+  PARAMETER (masse_s = 32.0)                        !--g mol-1
+  PARAMETER (masse_so4 = 96.0)                      !--g mol-1
+  PARAMETER (rho_water = 1000.0)                    !--kg m-3
+  PARAMETER (rho_ice = 500.0)                       !--kg m-3
+
+END MODULE lmdz_chem
+
Index: LMDZ6/branches/Amaury_dev/libf/phylmd/lmdz_cloudth.F90
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/phylmd/lmdz_cloudth.F90	(revision 5159)
+++ LMDZ6/branches/Amaury_dev/libf/phylmd/lmdz_cloudth.F90	(revision 5160)
@@ -1065,5 +1065,5 @@
             cenv_vol(ind1, ind2) = 0.5 * (1. + 1. * erf(xenv))
             ctot_vol(ind1, ind2) = fraca(ind1, ind2) * cth_vol(ind1, ind2) + (1. - 1. * fraca(ind1, ind2)) * cenv_vol(ind1, ind2)
-            !print *,'jeanjean_CV=',ctot_vol(ind1,ind2)
+            !PRINT *,'jeanjean_CV=',ctot_vol(ind1,ind2)
 
             qlth(ind1, ind2) = sigma2s * ((exp(-1. * xth**2) / sqrt2pi) + xth * sqrt(2.) * cth_vol(ind1, ind2))
@@ -1075,5 +1075,5 @@
             !beta=0.0044
             !inverse_rho=1.+beta*dz(ind1,ind2)
-            !print *,'jeanjean : beta=',beta
+            !PRINT *,'jeanjean : beta=',beta
             !cth(ind1,ind2)=cth_vol(ind1,ind2)*inverse_rho
             !cenv(ind1,ind2)=cenv_vol(ind1,ind2)*inverse_rho
@@ -1089,10 +1089,10 @@
             Dx_Brooks = 200000.
             f_Brooks = A_Maj_Brooks * (dz(ind1, ind2)**(a_Brooks)) * (Dx_Brooks**(-b_Brooks))
-            !print *,'jeanjean_f=',f_Brooks
+            !PRINT *,'jeanjean_f=',f_Brooks
 
             cth(ind1, ind2) = 1. / (1. + exp(-1. * f_Brooks) * ((1. / max(1.e-15, min(cth_vol(ind1, ind2), 1.))) - 1.))
             cenv(ind1, ind2) = 1. / (1. + exp(-1. * f_Brooks) * ((1. / max(1.e-15, min(cenv_vol(ind1, ind2), 1.))) - 1.))
             ctot(ind1, ind2) = 1. / (1. + exp(-1. * f_Brooks) * ((1. / max(1.e-15, min(ctot_vol(ind1, ind2), 1.))) - 1.))
-            !print *,'JJ_ctot_1',ctot(ind1,ind2)
+            !PRINT *,'JJ_ctot_1',ctot(ind1,ind2)
 
           ENDIF ! of if (iflag_cloudth_vert<5)
Index: LMDZ6/branches/Amaury_dev/libf/phylmd/lmdz_concvl.F90
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/phylmd/lmdz_concvl.F90	(revision 5159)
+++ LMDZ6/branches/Amaury_dev/libf/phylmd/lmdz_concvl.F90	(revision 5160)
@@ -386,5 +386,5 @@
   IF (iflag_con==30) THEN
 
-    ! print *, '-> cv_driver'      !jyg
+    ! PRINT *, '-> cv_driver'      !jyg
     CALL cv_driver(klon, klev, klevp1, ntra, iflag_con, &
             t, q, qs, u, v, tra, &
@@ -398,5 +398,5 @@
             wdtrainA, wdtrainM, &                                !RomP
             epmax_diag) ! epmax_cape
-    !           print *, 'cv_driver ->'      !jyg
+    !           PRINT *, 'cv_driver ->'      !jyg
 
     DO i = 1, klon
Index: LMDZ6/branches/Amaury_dev/libf/phylmd/lmdz_ini_undefstd.f90
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/phylmd/lmdz_ini_undefstd.f90	(revision 5160)
+++ LMDZ6/branches/Amaury_dev/libf/phylmd/lmdz_ini_undefstd.f90	(revision 5160)
@@ -0,0 +1,87 @@
+MODULE lmdz_ini_undefstd
+  IMPLICIT NONE; PRIVATE
+  PUBLIC ini_undefstd
+CONTAINS
+  SUBROUTINE ini_undefstd(itap, itapm1)
+    USE dimphy
+    USE phys_state_var_mod ! Variables sauvegardees de la physique
+    USE phys_cal_mod, ONLY: mth_len
+    USE lmdz_clesphys
+
+    IMPLICIT NONE
+
+    ! ====================================================================
+
+    ! I. Musat : 09.2004
+
+    ! Initialisation - a des frequences differentes :
+
+    ! 1) des variables moyennees sur la journee "day" ou sur le mois "mth"
+    ! calculees a partir des valeurs "instantannees" de la physique
+
+    ! 2) des variables moyennes mensuelles "NMC" calculees a partir des val.
+    ! toutes les 6 heures
+
+    ! nout=1 !var. journaliere "day" moyenne sur tous les pas de temps
+    ! de la physique
+    ! nout=2 !var. mensuelle "mth" moyennee sur tous les pas de temps
+    ! de la physique
+    ! nout=3 !var. mensuelle "NMC" moyennee toutes les 6heures
+
+    ! NB: mettre "inst(X)" dans le write_hist*NMC.h !
+    ! ====================================================================
+
+    ! ym INCLUDE "dimphy.h"
+    ! variables Input/Output
+    ! INTEGER nlevSTD, klevSTD, itap
+    INTEGER itap, itapm1
+    ! PARAMETER(klevSTD=17)
+    ! REAL dtime
+
+    ! variables locales
+    ! INTEGER i, k, nout, n
+    INTEGER i, k, n
+    ! PARAMETER(nout=3) !nout=1 day/nout=2 mth/nout=3 NMC
+    ! REAL freq_outNMC(nout)
+    REAL un_jour
+    PARAMETER (un_jour = 86400.)
+
+    ! variables Output
+    ! REAL tnondef(klon,klevSTD,nout)
+    ! REAL tsumSTD(klon,klevSTD,nout)
+
+    DO n = 1, nout
+
+      ! initialisation variables en debut du mois, de la journee ou des 6h
+
+      IF (n==1 .AND. itap - itapm1==1 .OR. n>1 .AND. mod(itap, nint(&
+              freq_outnmc(n) / phys_tstep))==1) THEN
+        ! PRINT*,'ini_undefSTD n itap',n,itap
+        DO k = 1, nlevstd
+          DO i = 1, klon
+            tnondef(i, k, n) = 0.
+            tsumstd(i, k, n) = 0.
+            usumstd(i, k, n) = 0.
+            vsumstd(i, k, n) = 0.
+            wsumstd(i, k, n) = 0.
+            phisumstd(i, k, n) = 0.
+            qsumstd(i, k, n) = 0.
+            rhsumstd(i, k, n) = 0.
+            uvsumstd(i, k, n) = 0.
+            vqsumstd(i, k, n) = 0.
+            vtsumstd(i, k, n) = 0.
+            wqsumstd(i, k, n) = 0.
+            vphisumstd(i, k, n) = 0.
+            wtsumstd(i, k, n) = 0.
+            u2sumstd(i, k, n) = 0.
+            v2sumstd(i, k, n) = 0.
+            t2sumstd(i, k, n) = 0.
+            o3sumstd(i, k, n) = 0.
+            o3daysumstd(i, k, n) = 0.
+          END DO !i
+        END DO !k
+      END IF !
+    END DO !n
+
+  END SUBROUTINE ini_undefstd
+END MODULE lmdz_ini_undefstd
